import { OnInit } from '@angular/core';
import { AtLayoutBodyComponent } from "../at-layout-body/at-layout-body.component";
export declare class AtLayoutSidebarComponent implements OnInit {
    private atLayoutBody;
    constructor(atLayoutBody: AtLayoutBodyComponent);
    atWidth: number;
    ngOnInit(): void;
    readonly setFlex: string;
    readonly setWidth: number;
}
